Class UmlBaseExpansionRegion

Declaration :

- C++ : class UmlBaseExpansionRegion : public UmlActivityRegion
- Java : abstract class UmlBaseExpansionRegion extends UmlActivityRegion

Directly inherited by : UmlExpansionRegion

Artifact : UmlBaseExpansionRegion

Operation create

returns a new expansion region named 's' created under 'parent'
In case it cannot be created (the name is already used or
invalid, 'parent' cannot contain it etc ...) return 0 in C++
and produce a RuntimeException in Java

Declaration :

- Uml : static, + create(inout parent : UmlItem, inout s : str) : UmlExpansionRegion, exceptions : RuntimeException
- C++ : public: static UmlExpansionRegion * create(UmlItem * parent, const char * s)
- Java : public static UmlExpansionRegion create(UmlItem parent, String s) throws RuntimeException

Operation kind

returns the kind of the item

Declaration :

- Uml : + kind() : anItemKind
- C++ : public: virtual anItemKind kind()
- Java : public anItemKind kind()

Operation UmlBaseExpansionRegion

the constructor, do not call it yourself !!!!!!!!!!

Declaration :

- Uml : # UmlBaseExpansionRegion(in id : item_id, in s : string) :
- C++ : protected: UmlBaseExpansionRegion(void * id, const QCString & s) : UmlActivityRegion(id, s)
- Java : protected UmlBaseExpansionRegion(long id, String s)

Operation isMustIsolate

return the isMustIsolate attribute, if TRUE the actions in the region execute in isolation from actions outside the region.

Declaration :

- Uml : + isMustIsolate() : bool
- C++ : public: bool isMustIsolate()
- Java : public boolean isMustIsolate()

Operation set_isMustIsolate

set the isMustIsolate attribute
On error return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : + set_isMustIsolate(in v : bool) : bool, exceptions : RuntimeException
- C++ : public: bool set_isMustIsolate(bool v)
- Java : public void set_isMustIsolate(boolean v) throws RuntimeException

Operation mode

return the mode attribute, the way in which the execution interact.

Declaration :

- Uml : + mode() : anExpansionKind
- C++ : public: anExpansionKind mode()
- Java : public anExpansionKind mode()

Operation set_Mode

set the mode attribute
On error return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : + set_Mode(in v : anExpansionKind) : bool, exceptions : RuntimeException
- C++ : public: bool set_Mode(anExpansionKind v)
- Java : public void set_Mode(anExpansionKind v) throws RuntimeException

Attribute _must_isolate

Declaration :

- Uml : - _must_isolate : bool
- C++ : private: bool _must_isolate
- Java : private boolean _must_isolate

Relation _mode (<directional composition>)

Declaration :

- Uml : - _mode : anExpansionKind
- C++ : private: anExpansionKind _mode
- Java : private anExpansionKind _mode

Operation read_uml_

Declaration :

- Uml : # read_uml_() : void
- C++ : protected: virtual void read_uml_()
- Java : protected void read_uml_()

All public operations : apply , applyStereotype , associatedDiagram , children , childrenVisible , create , defined_ , deleteIt , description , getIdentifier , identifier_ , isMarked , isMustIsolate , isToolRunning , isWritable , kind , kind , markedItems , mode , moveAfter , name , parent , properties , propertyValue , referencedBy , set_AssociatedDiagram , set_childrenVisible , set_Description , set_isMarked , set_isMustIsolate , set_Mode , set_Name , set_PropertyValue , set_Stereotype , stereotype , supportFile , unload